Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Extended initializer lists only available with -std=gnu++0x  (gelezen 1684 keer)

Offline columboejw

  • Lid
  • Steunpunt: Nee
Extended initializer lists only available with -std=gnu++0x
« Gepost op: 2009/12/07, 14:54:53 »
Is de c++0x extensie voor c++ al geimplementeerd in Ubuntu. Ik gebruik gnu 4.4.1 en heb alle files vandaag nog via de update manager geupdated. Maar mijn compiler geeft nog altijd bovenstaande warning. Voor zo ver ik het begrijp is c++0x een vrij nieuwe extensie voor C++ ontwikkeling en er zouden al enkele features in de gnu 4.4 zitten, maar ik snap niet goed welke en welke niet. GNU 4.5 schijnt er te zijn, maar wanneer kunnen we die installeren via de update manager ?

Ik heb namelijk een probleem met de mutex locks in pthread_mutex_t.
De compiler geeft een warning op de PTHREAD_MUTEX_INITIALIZER

Graag enige hints als het mogelijk is.